<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbStaticPageTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_static_page', function(Blueprint $table)
		{
			$table->integer('id')->nullable();
			$table->integer('site_id')->nullable();
			$table->bigInteger('date_orig')->nullable();
			$table->bigInteger('date_last')->nullable();
			$table->integer('static_page_category_id')->nullable()->index();
			$table->bigInteger('date_start')->nullable()->index();
			$table->bigInteger('date_expire')->nullable()->index();
			$table->integer('sort_order')->nullable();
			$table->boolean('active')->nullable();
			$table->string('name', 128)->nullable()->index();
			$table->text('description')->nullable();
			$table->unique(['site_id','id']);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_static_page');
	}

}
